Sledujte nás na YouTube

S další verzí Androidu (4.5) mohou mít některé root aplikace výrazné problémy

Operační systém Android je v mobilním světě jedničkou a jako takový musí být připraven odolávat pokusům, které mohou ohrozit jeho bezpečnost. Podle vyjádření uznávaného vývojáře a člena Xda-Developers komunity Chainfire na Google+ chystá Google v následující verzi operačního systému Android bezpečnostní opatření, který nepotěší zejména vývojáře a uživatele, kteří používají aplikace s nejvyšším oprávněním root.

 

Členové komunity Xda-Developers si všimli ve vývojové větvi AOSP (Android Open Source Project) nových oprav, které znemožňují extrahování souborů do adresářů, umístěných na /data skrze příkazy spuštěné přes su (Substitute User identity). Tohoto postupu využívají mnohé aplikace k oprávnění root, aby mohly zapisovat do složek /files nebo /lib, umístěných právě v části /data. Tato možnost by jim v následující verzi operačního systému Android měla být omezena nebo zcela znemožněna.

  

Vývojář Chainfire na svém účtu naštěstí zmínil několik pokynů, po jejichž dodržení by mělo jít výše zmíněné opatření obejít a to například přímým rozbalováním a spouštěním aplikace z paměti bez zápisu do .sh. Prý ale existují i jiná řešení, která vývojářům umožní přístup do kořenových souborů a je možné, že se v budoucnu objeví nějaký univerzálnější postup. Ten ale možná ani nebude potřeba, neboť vývojáři oblíbených aplikací, vyžadujících práva root, se prý na změnu zabezpečení připravují a chystají se své aplikace upravit tak, aby uživatel v budoucnu nic nepoznal.

 

Uvidíme, kdy se nakonec tento prvek zabezpečení objeví, může se tak stát ve verzi 4.4.3, 4.5 nebo až ve verzi 5.0. Do doby uvedení snad vývojáři své aplikace upraví tak, aby pracovaly v souladu s tímto opatřením. Běžný uživatel může být spokojený, protože tento krok Googlu vede především ke zvýšení bezpečnosti systému a znemožnění instalaci škodlivých aplikací, vyžadujících vyšší stupeň oprávnění.


6 komentářů

  1. „Běžný uživatel může být spokojený, protože tento krok Googlu vede především ke zvýšení bezpečnosti systému a znemožnění instalaci škodlivých aplikací, vyžadujících vyšší stupeň oprávnění.“

    Běžný uživatel především nemá povolený Root přístup….

  2. xxx (neregistrovaný)

    S vašimi nadpisy mohou mít někteří citlivost čtenáři problém…

    • Majk (neregistrovaný)

      S vašimi komentáři mohou mít někteří „citlivost“ čtenáři problém :)

    • Spartan (neregistrovaný)

      Souhlasim. Hned me napadla otazka: on uz Android 4.5 vysel a ja to promeskal?

      On nevysel ani 4.4 a uz jsou tu problemy se 4.5, neskutecny

    • Stick (neregistrovaný)

      No jak pro koho, ja na Nexu5 už mám dokonce 4.4.2 ;)

    • Na SGS4 mám taky KK 4.4.2, a ještě na dalších zařízeních je samozřejmně taky. A další verze je za dveřmi:)

Napsat komentář

Vaše emailová adresa nebude zveřejněna. Vyžadované informace jsou označeny *

Můžete používat následující HTML značky a atributy: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong>